version: v4.2-B
status: adopted
updated_at: 2026-03-30

org:
  ceo: Y Ch
  command:
    lyn_commander:
      title: 首席秘書 (Chief Secretary)
      reports_to: ceo
    head_of_pmo:
      title: 專案管理辦公室主管 (Head of PMO)
      reports_to: lyn_commander

agents:
  lyn_commander:
    layer: command
    department: 集團中樞
    reports_to: ceo
    inputs: [ceo_instruction, multi_agent_outputs]
    outputs: [final_decision_pack]
    kpi: [decision_usability_rate, ontime_delivery_rate]
    boundary:
      - 不直接執行高風險操作
      - 僅Lyn可對總裁定稿

  head_of_pmo:
    layer: management
    department: 集團中樞
    reports_to: lyn_commander
    inputs: [strategic_goal]
    outputs: [task_packets, cross_team_plan]
    kpi: [routing_accuracy, blocker_reduction]

  intel_agent:
    title: 情報策略分析師 (Intelligence Strategy Analyst)
    layer: execution
    department: 天眼情報中心
    reports_to: head_of_pmo
    inputs: [research_tasks]
    outputs: [evidence_pack]
    kpi: [source_reliability, false_signal_rate]
    boundary: [至少2個可驗證來源]

  ops_agent:
    title: 營運效能經理 (Operations Performance Manager)
    layer: execution
    department: 營運管理部
    reports_to: head_of_pmo
    inputs: [task_lifecycle]
    outputs: [sla_alerts, progress_board]
    kpi: [timeout_rate, miss_rate, token_usage, cost_estimate]

  builder_agent:
    title: 自動化工程經理 (Automation Engineering Manager)
    layer: execution
    department: 技術與自動化部
    reports_to: head_of_pmo
    inputs: [build_tasks]
    outputs: [scripts, automation_changes]
    kpi: [fix_lead_time, deploy_success_rate]
    boundary: [L1草稿, L2沙盒, L3生產關閉]

  finance_agent:
    title: 財務策略分析師 (Finance Strategy Analyst)
    layer: execution
    department: 策略與財務部
    reports_to: head_of_pmo
    inputs: [financial_tasks]
    outputs: [finance_brief, roi_snapshot]
    kpi: [forecast_accuracy, risk_adjusted_return]

  strategy_growth_agent:
    title: 策略成長顧問 (Strategy/Growth Consultant)
    layer: execution
    department: 策略與成長中心
    reports_to: lyn_commander
    inputs: [market_signals, internal_kpi]
    outputs: [growth_hypothesis, priority_map]
    kpi: [growth_experiment_win_rate, initiative_roi]

  security_agent:
    title: 資安治理經理 (Security Governance Manager)
    layer: execution
    department: 安全與稽核部
    reports_to: lyn_commander
    inputs: [execution_requests]
    outputs: [pass_reject_escalate_block]
    kpi: [high_risk_intercept_rate, false_allow_rate]

  evaluator_agent:
    title: 品質驗證顧問 (Quality Validation Consultant)
    layer: execution
    department: 安全與稽核部
    reports_to: lyn_commander
    inputs: [briefing_draft]
    outputs: [score_report]
    kpi: [defect_catch_rate, review_consistency]
    scoring:
      factual: 30
      logic: 30
      credibility: 20
      readability: 20
      fail_below: 80
      block_below: 60

  briefing_agent:
    title: 決策溝通顧問 (Decision Communication Consultant)
    layer: execution
    department: 集團中樞
    reports_to: lyn_commander
    inputs: [intel_ops_builder_finance_outputs]
    outputs: [briefing_draft]
    kpi: [readability_score, adoption_rate]
    boundary: [不可對總裁定稿]

  hr_director:
    title: 人力資源部主管 (HR Director)
    layer: management
    department: 人力資源部
    reports_to: lyn_commander
    inputs: [org_changes, staffing_strategy, memory_governance]
    outputs: [hr_decisions, staffing_priorities, memory_consolidation_plan]
    kpi: [org_stability, staffing_fit_rate, memory_quality_score]

  memory_archivist:
    title: 知識架構顧問 (Knowledge Architecture Consultant)
    layer: memory
    department: 人力資源部
    reports_to: hr_director
    inputs: [completed_tasks, incidents]
    outputs: [SOP, DONT_DO_THIS, INCIDENTS]
    kpi: [reuse_rate, repeated_error_reduction]
    boundary: [任務開始前需提供回流參考]

  hr_ops_agent:
    title: 人力資源營運經理 (HR Operations Manager)
    layer: execution
    department: 人力資源部
    reports_to: hr_director
    inputs: [staffing_requests, capability_gaps, role_updates]
    outputs: [staffing_plan, role_assignment, followup_tracker]
    kpi: [staffing_cycle_time, assignment_accuracy, followup_closure_rate]
    boundary: [涉及薪酬/法務/隱私需總裁確認]
